<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SettingData extends Model
{
    protected $fillable = ['type', 'content'];

    public function scopeTermsAndCondition($query)
    {
        return $query->where('type', 'terms_and_condition');
    }

    public function scopePrivacyPolicy($query)
    {
        return $query->where('type', 'privacy_policy');
    }

    public function scopeReturnAndRefund($query)
    {
        return $query->where('type', 'return_and_refund');
    }
}
